Bug 432986 - Support for WTI RSM-8R4 power/remote access combination box
Summary: Support for WTI RSM-8R4 power/remote access combination box
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman   
(Show other bugs)
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Marek Grac
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-15 16:20 UTC by Lon Hohberger
Modified: 2009-04-16 22:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 21:52:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0189 normal SHIPPED_LIVE cman bug-fix and enhancement update 2009-01-20 16:05:55 UTC

Description Lon Hohberger 2008-02-15 16:20:48 UTC
Description of problem:

Add support for WTI RSM-8R4 to the fence_wti agent.

Note: Pending hardware availability.

Comment 4 Lon Hohberger 2008-03-03 21:24:59 UTC
Very different from other switches:


===========================================================================
WTI IPS-800CE
===========================================================================

Enter Password: ********

Internet Power Switch v1.40h    Site ID: (undefined)

Plug | Name             | Password         | Status  | Boot/Seq. Delay |
-----+------------------+------------------+---------+-----------------+
 1   | famine           | (undefined)      |   ON    |     0.5 Secs    |
 2   | War              | (undefined)      |   ON    |     0.5 Secs    |
 3   | Pestilence       | (undefined)      |   ON    |     0.5 Secs    |
 4   | (undefined)      | (undefined)      |   ON    |     0.5 Secs    |
 5   | death            | (undefined)      |   ON    |     0.5 Secs    |
 6   | (undefined)      | (undefined)      |   ON    |     0.5 Secs    |
 7   | (undefined)      | (undefined)      |   ON    |     0.5 Secs    |
 8   | lontest          | (undefined)      |   ON    |     5  Secs     |
-----+------------------+------------------+---------+-----------------+


"/H" for help.

IPS> 

===========================================================================
WTI RSM-8R4
===========================================================================

login: super
Password: 


Remote Site Manager + Power Control  Site ID: (undefined)                      

PORT |       NAME       |    USERNAME      | STATUS |  MODE  | BUFFER COUNT 
-----+------------------+------------------+--------+--------+--------------
 01  | (undefined)      |                  |  Free  |  Any   |            0|
 02  | (undefined)      |                  |  Free  |  Any   |            0|
 03  | (undefined)      |                  |  Free  |  Pass  |            0|
 04  | (undefined)      |                  |  Free  |  Pass  |            0|
 05  | (undefined)      |                  |  Free  |  Pass  |            0|
 06  | (undefined)      |                  |  Free  |  Pass  |            0|
 07  | (undefined)      |                  |  Free  |  Pass  |            0|
 08  | (undefined)      |                  |  Free  |  Pass  |            0|
 09  | MODEM            |                  |  Free  |  Modem |            0|

PLUG |           NAME           | STATUS | BOOT DELAY | DEFAULT | PRIORITY 
-----+--------------------------+--------+------------+---------+----------
 1   | Outlet1                  |  OFF   |  0.5 Secs  |   ON    |    1    |
 2   | Outlet2                  |  OFF   |  0.5 Secs  |   ON    |    2    |
 3   | Outlet3                  |  OFF   |  0.5 Secs  |   ON    |    3    |
 4   | Outlet4                  |  OFF   |  0.5 Secs  |   ON    |    4    |
* = Plug in BUSY state           System Temperature: 63F

Enter /H for command menu.
RSM> 


Comment 5 Lon Hohberger 2008-03-03 21:28:16 UTC
Initial notes:

(a) Username is required on this switch; not just password
(b) Switch supports ssh
(c) /x,y *does not work* despite the help saying it should.

   RSM> /x,y

   Invalid command or syntax entered.





Comment 6 Lon Hohberger 2008-03-03 21:29:18 UTC
(d) Users should increase the Boot Delay to a minimum of 5 seconds.  0.5 seconds
is too short.

Comment 7 Lon Hohberger 2008-03-03 21:35:27 UTC
(e) the switch supports background operation - e.g.:

RSM> /boot 1,y

Plugs to be booted

Plug 1: Outlet1

Processing - please wait or <CR> to continue... 

[[press enter]]

Remote Site Manager + Power Control  Site ID: (undefined)                      
...
PLUG |           NAME           | STATUS | BOOT DELAY | DEFAULT | PRIORITY 
-----+--------------------------+--------+------------+---------+----------
 1   | Outlet1                  |  OFF * |    5 Secs  |   ON    |    1    |
 2   | Outlet2                  |  OFF   |    5 Secs  |   ON    |    2    |
 3   | Outlet3                  |  OFF   |    5 Secs  |   ON    |    3    |
 4   | Outlet4                  |  OFF   |    5 Secs  |   ON    |    4    |
* = Plug in BUSY state           System Temperature: 75F

(f) The switch supports multiple logins, making effective serialization of
fencing difficult.  This can be changed in the network menu (/N) option 31.


Comment 8 Lon Hohberger 2008-03-03 21:38:32 UTC
Note: (f) is only a big deal in 2-node clusters, where serialization of fencing
is critical.  Worst-case is that both nodes shoot each other at the same time.

Comment 9 Marek Grac 2008-03-17 20:42:17 UTC
(In reply to comment #5)
> Initial notes:
> 
> (a) Username is required on this switch; not just password
> (b) Switch supports ssh
> (c) /x,y *does not work* despite the help saying it should.
> 
>    RSM> /x,y
> 

(c) works
/ON 4,y 


Comment 10 Lon Hohberger 2008-03-17 21:25:23 UTC
Specifically, I meant /X - the exit command - not all commands.

The ips800 accepts /x,y to logout of the system - the RSM does not.



Comment 11 Marek Grac 2008-03-28 16:29:37 UTC
New agent for WTI devices works, it is available in GIT master branch (package
pexpect needed)

Comment 12 Marek Grac 2008-05-20 10:05:42 UTC
Support is in RHEL5 branch

Comment 16 errata-xmlrpc 2009-01-20 21:52:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0189.html


Note You need to log in before you can comment on or make changes to this bug.